ppx_jane

Standard Jane Street ppx rewriters
Description

This package installs a ppx-jane executable, which is a ppx driver including all standard Jane Street ppx rewriters.

Install
Published
28 Apr 2016
Authors
Maintainers
Sources
ppx_jane-113.33.03.tar.gz
md5=14e4dea12340e225e7b413b6c3b62a37
Dependencies
ppx_variants_conv >= "113.33.03" & < "113.34.00"
ppx_typerep_conv >= "113.33.03" & < "113.34.00"
ppx_sexp_value >= "113.33.03" & < "113.34.00"
ppx_sexp_message >= "113.33.03" & < "113.34.00"
ppx_sexp_conv >= "113.33.03" & < "113.34.00"
ppx_pipebang >= "113.33.03" & < "113.34.00"
ppx_let >= "113.33.03" & < "113.34.00"
ppx_inline_test >= "113.33.03" & < "113.34.00"
ppx_here >= "113.33.03" & < "113.34.00"
ppx_fields_conv >= "113.33.03" & < "113.34.00"
ppx_fail >= "113.33.03" & < "113.34.00"
ppx_expect >= "113.33.03" & < "113.34.00"
ppx_enumerate >= "113.33.03" & < "113.34.00"
ppx_driver >= "113.33.03" & < "113.34.00"
ppx_custom_printf >= "113.33.03" & < "113.34.00"
ppx_compare >= "113.33.03" & < "113.34.00"
ppx_bin_prot >= "113.33.03" & < "113.34.00"
ppx_bench >= "113.33.03" & < "113.34.00"
ppx_assert >= "113.33.03" & < "113.34.00"
js-build-tools build & >= "113.33.04" & < "113.34.00"
ocamlfind build & >= "1.3.2"
ocaml = "4.02.3"
Reverse Dependencies
async >= "113.33.00" & < "v0.9.0"
async_extended >= "113.33.00" & < "v0.9.0"
async_extra >= "113.33.00" & < "v0.9.0"
async_find >= "113.33.00" & < "v0.9.0"
async_inotify >= "113.33.00" & < "v0.9.0"
async_kernel >= "113.33.00" & < "v0.9.0"
async_parallel >= "113.33.00" & < "v0.9.0"
async_rpc_kernel >= "113.33.00" & < "v0.9.0"
async_shell >= "113.33.00" & < "v0.9.0"
async_smtp >= "113.33.00" & < "v0.9.0"
async_ssl >= "113.33.00" & < "v0.9.0"
async_unix >= "113.33.00" & < "v0.9.0"
bap-build < "2.2.0"
bap-bundle < "2.2.0"
bap-ida < "1.4.0"
bap-raw < "2.2.0"
bap-std < "1.4.0"
bignum >= "113.33.00" & < "v0.9.0"
core >= "113.33.00" & < "v0.9.0"
core_bench >= "113.33.00" & < "v0.9.0"
core_extended >= "113.33.00" & < "v0.9.0"
core_kernel >= "113.33.00" & < "v0.9.0"
core_profiler >= "113.33.00" & < "v0.9.0"
email_message >= "113.33.00" & < "v0.9.0"
graphlib < "1.4.0"
horned_worm = "0.3.1"
incremental >= "113.33.00" & < "v0.9.0"
jenga >= "113.33.00" & < "v0.9.0"
line-up-words < "v0.11.0"
nsq = "0.5.2"
ocaml_plugin >= "113.33.00" & < "v0.9.0"
patdiff >= "113.33.00" & < "v0.9.0"
patience_diff >= "113.33.00" & < "v0.9.0"
pgx < "1.0"
pgx_async < "1.0"
pgx_lwt < "1.0"
pgx_unix < "1.0"
re2 >= "113.33.00" & < "v0.9.0"
regular < "1.4.0"
rpc_parallel >= "113.33.00" & < "v0.9.0"
SZXX >= "2.0.0" & < "2.1.1"
shuttle_http >= "0.8.1"
textutils >= "113.33.00" & < "v0.9.0"
tldr < "0.3.0"
travesty < "0.6.0"